## libncursesada 5.9.20110404

=== debian/changelog ===
libncursesada (5.9.20110404-7) unstable; urgency=low

  * rules: cancel latest changes, gprbuild is needed via dh-ada-library
    anyway. Depend on gprbuild >= 2011-2 (Closes: #678907).
    Use pkg-config --libs instead of hard-coded list (this adds -ltinfo).
    Transmit hardening CPPFLAGS to project.
  * watch: slightly modified to let qa.debian.org show a green status.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 27 Jun 2012 09:40:14 +0200

libncursesada (5.9.20110404-6) unstable; urgency=low

  * Switched back from gprbuild to gnatmake to work around #673015 on
    kfreebsd-i386. Had to shortcut part of upstream build system and
    gnatmake call to gcc-shared.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 16 Jun 2012 08:24:17 +0200

libncursesada (5.9.20110404-5) unstable; urgency=low

  * Switched from ALDH mess to dh_ada_library.
  * README.Debian: short reference to Debian Ada Policy.
  * Created build dirs once and for all.
  * Standard-Version, compat: 3.9.3, 9 (no changes)
  * control: -dbg does not Pre-Depends: ${misc:Pre-Depends} for multiarch.
    -dev Depends: libncurses-dev
  * copyright: update.
  * patches:
    recompile_c_srcs_with_fpic.diff for dynamic version.
    respect_cflags_adaflags_ldflags.diff
  * source.lintian-overrides: a generated dependency is passed as substvar
    and not seen by lintian.
  * tests: explicit find instead of glob.
  * rules: removed unused ./configure parameter.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 17 May 2012 10:48:53 +0200

libncursesada (5.9.20110404-4) unstable; urgency=low

  * control: removed dependencies on ada-compiler virtual package.
  * rules: #641279 closed by debhelper 8.9.8, no work-around needed.
    Do not strip static archive.
    Added get-orig-source and run-tests targets.
  * README.Debian: in /usr/share, must not vary across architectures.
  * tests/link: corrected -v option.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 17 Feb 2012 20:47:17 +0100

libncursesada (5.9.20110404-3) unstable; urgency=low

  * Build with gnat-4.6. Closes: #642646.
  * Multi-arch support.
  * Upgrade to debhelper 8.9.7. dh_fixperms need to be overridden
    but only for build-arch.
  * dpkg-dev >= 1.16.1 (some source/local-options are now default,
    useful Makefile snippets for multiarch and ./configure)
  * copyright: DEP-5 compliant
  * patches: DEP-3 compliant
  * gprbuild should not set run time path
  * Due to ada-policy: -dbg and -doc package Suggest gnat, ada-compiler
    libncursesada1-dev -> libncursesada2-dev (soversion)
    libncursesada1 -> libncursesada2 (aliversion)
    libncursesada1-dbg -> libncursesada-dbg (debian version is enough)
    libncursesada-doc unchanged (debian version is enough)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 25 Sep 2011 20:52:24 +0200

libncursesada (5.9.20110404-2) unstable; urgency=low

  * patch: gen/gen.c to avoid FTBFS on big endian architectures.
  * control: depends on libncurses5, not on libncurses5w.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 08 May 2011 16:39:17 +0200

libncursesada (5.9.20110404-1) unstable; urgency=low

  * New upstream release.
  * ALDH.DEV_PKG.install: installed new C sources.
  * ALDH.DOC_PKG.docs: selected installed files.
  * ALDH.README.Debian: corrected my email address.
  * README.source: removed (upstream is now a normal tarball).
  * copyright: link to Ada binding home page.
  * patches: removed (applied upstream).
  * rules: installed upstream changelog.
  * watch: used Ada tarball instead of whole ncurses source.
  * control: updated Standards-Version without changes.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 22 Apr 2011 17:18:04 +0200

libncursesada (5.8-1) unstable; urgency=low

  * Initial release (Closes: #615920).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 12 Mar 2011 09:04:10 +0100
