=== debian/control ===
Source: libncursesada
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  gnat, gnat-4.6,
  gprbuild (>= 2011-2),
  pkg-config,
  dh-ada-library,
  libncurses-dev, m4
Standards-Version: 3.9.3
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libncursesada
Vcs-Mtn: www.ada-france.org org.debian.libncursesada
Homepage: http://invisible-island.net/ncurses

Package: libncursesada2-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
  libncurses-dev
Description: Ada binding to the ncurses text interface library: development
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 Install this package if you want to write programs that use
 libncursesada.

Package: libncursesada2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada binding to the ncurses text interface library: shared library
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the runtime shared library.

Package: libncursesada-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada binding to the ncurses text interface library: debug symbols
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the runtime debug symbols.

Package: libncursesada-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada binding to the ncurses text interface library: documentation
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the documentation.
