## libncursesada 5.9.20140726

=== debian/changelog ===
libncursesada (5.9.20140726-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:53:13 +0000

libncursesada (5.9.20140726-1) unstable; urgency=medium

  * New upstream snapshot. Build with gnat-4.9. Closes: #749443, #755112.
    Library and -dev package renamed per Ada Policy.
    Removed patches, libncursesada2-dev.preinst (no file conflict anymore).
  * gpb.conf source/local-options: obsolete since switch to monotone.
  * Replace dh-autoreconf with lighter autotools-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Aug 2014 01:47:06 +0200

libncursesada (5.9.20110404-10) unstable; urgency=medium

  * patches/long64_int_32_big_endian_s390x: avoids a FTBFS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Jan 2014 21:09:01 +0100

libncursesada (5.9.20110404-9) unstable; urgency=medium

  * control, rules: remove Build-Depends: gprbuild, failing on mips/mipsel.
  * rules: run-tests target obsoleted by sadt from dev-scripts.
  * tests/link-with-shared: avoid depending on an actual terminal.
  * watch, upstream/signing-key.asc: let uscan check upstream binary.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 26 Jan 2014 11:35:24 +0100

libncursesada (5.9.20110404-8) unstable; urgency=low

  * tests, run-tests target in rules: autopkg-test specification update.
    XS-Testsuite header accordingly. Closes: #692666.
  * clean: integrated to rules for clarity.
  * Maintainer, DM-Upload-Allowed, copyrights: use my debian address.
  * Build-Depends, rules, source/options: let dh-autoreconf handle autotools
    files. Upstream use a specific autoconf, packaged in Debian.
  * Standards-Version: 3.9.5 without changes.
  * copyright: adapt to machine-readable specification 1.0.
    Added section for install-sh specific license.
  * watch, rules: upstream tarball has been renamed tar.gz -> tgz.
  * rules: use gnatgcc instead of gcc to compile gen.c.
  * avoid_if_macro_when_macro_contains_cast.diff: Closes: #735753.
  * source/options: let dpkg use default compressor for debian.tar.
  * *.docs, *.preinst: clean previous /usr/share/doc symlinks.
    Build-Depend: dh-ada-library (>= 5.4) to avoid creating symlinks again.
    Move README.Debian to -dev per Ada policy.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Jan 2014 17:51:30 +0100
