=== debian/watch ===
version=3

opts="uversionmangle=s/^/5.9./,pgpsigurlmangle=s/$/.asc/" \
  ftp://invisible-island.net/AdaCurses/AdaCurses-(\d{8})\.tgz

# Debian uses 5.9.20110404 instead of date-based 20110404.
