## libncursesada 6.0.20150808

=== debian/changelog ===
libncursesada (6.0.20150808-2) unstable; urgency=medium

  [ Adrian Bunk <bunk@stusta.de> ]
  * Build with latest dpkg requires PIE hardening flags. Closes: #844918.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2016 12:11:27 +0100

libncursesada (6.0.20150808-1) unstable; urgency=medium

  * New upstream release, built with gnat-6. Both imply
    a renaming of -dev and lib binary packages per Debian Ada policy.
  * Switch from gnatmake to gprbuild.
  * Set options without editing CFLAGS. Enable all hardening options but PIE.
    Move LDFLAGS before and LDLIBS after default library_options.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
    Remove related preinst script and lintian override.o
  * rules: - circumvent buggy setting for ACTUAL_LDFLAGS in Makefile.in.
    - build include/ncurses_def.h, now required by C sources.
    - simplify dh_compress override, removing mention of DEV_PKG.
  * watch: use same Debian versions than ncurses source package.
  * copyright: update, fill empty short license.
  * Standards-Version: 3.9.8 (no changes). Remove generated field Testsuite.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Jul 2016 22:40:11 +0200

libncursesada (5.9.20140726-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 18:20:56 +0200
