=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: libncursesada
 Section: libdevel
 Priority: extra
-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-DM-Upload-Allowed: yes
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
-  gnat, gnat-4.6,
-  gprbuild (>= 2011-2),
+# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
+  autotools-dev, autoconf-dickey,
   pkg-config,
-  dh-ada-library,
+  gnat, gnat-6,
+  dh-ada-library (>= 6.7),
+# dh-ada-library >= 6.7 stops requiring -dbg packages.
+# gprbuild compatible with gnat-6
+  gprbuild (>= 2015-2),
   libncurses-dev, m4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libncursesada
 Vcs-Mtn: www.ada-france.org org.debian.libncursesada
 Homepage: http://invisible-island.net/ncurses
 
-Package: libncursesada2-dev
+Package: libncursesada4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
   libncurses-dev
@@ -26,7 +29,7 @@
  Install this package if you want to write programs that use
  libncursesada.
 
-Package: libncursesada2
+Package: libncursesada4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,20 +42,6 @@
  .
  This package contains the runtime shared library.
 
-Package: libncursesada-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${ada:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: Ada binding to the ncurses text interface library: debug symbols
- NcursesAda allows programmers to use the Ncurses library within the
- Ada language. This means programming panels, colors, forms in text
- terminals or emulators.
- .
- This package contains the runtime debug symbols.
-
 Package: libncursesada-doc
 Section: doc
 Architecture: all
