## libncursesada 6.0.20170708

=== debian/changelog ===
libncursesada (6.0.20170708-2) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1. Priority: optional.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 20:38:53 +0200

libncursesada (6.0.20170708-1) experimental; urgency=medium

  * New upstream snapshot, built with gnat-7.
    Rename runtime and -dev binary packages per Ada policy.
    Drop work-around for unset ADAGEN_LDFLAGS, fixed upstream.
    Gnat-7 handles SOURCE_DATE_EPOCH without tricking timestamps.
  * Debhelper 10. Simplify update of autoconf stuff.
  * Standards-Version 4.0.0.
    HTTPS copyright format URL. Let -dev Suggest -doc.
  * Allow -doc to satisfy Multi-Arch foreign dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Jul 2017 14:59:00 +0200
