=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: libncursesada
 Section: libdevel
-Priority: extra
+Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 # dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
-  autotools-dev, autoconf-dickey,
+  autoconf-dickey,
   pkg-config,
-  gnat, gnat-6,
+  gnat, gnat-7,
+# This line is parsed by debian/rules.
   dh-ada-library (>= 6.7),
 # dh-ada-library >= 6.7 stops requiring -dbg packages.
 # gprbuild compatible with gnat-6
   gprbuild (>= 2015-2),
   libncurses-dev, m4
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libncursesada
 Vcs-Mtn: www.ada-france.org org.debian.libncursesada
 Homepage: http://invisible-island.net/ncurses
 
-Package: libncursesada4-dev
+Package: libncursesada5-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
   libncurses-dev
+Suggests: libncursesada-doc
 Description: Ada binding to the ncurses text interface library: development
  NcursesAda allows programmers to use the Ncurses library within the
  Ada language. This means programming panels, colors, forms in text
@@ -29,7 +31,7 @@
  Install this package if you want to write programs that use
  libncursesada.
 
-Package: libncursesada4
+Package: libncursesada5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,6 +47,7 @@
 Package: libncursesada-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: gnat
 Description: Ada binding to the ncurses text interface library: documentation
