=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##############
 
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2009-2016 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2009-2017 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -27,18 +27,24 @@
 # Set some variables #
 ######################
 
+define new_line :=
+
+
+endef
+$(eval $(addsuffix $(new_line),$(shell sed -n '\
+  s/^  gnat, gnat-\([0-9.]\+\),$$/ \
+    GNAT_VERSION:=\1 \
+  /p;\
+  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
+    SOVERSION:=\1 \
+  /p;\
+  ' debian/control)))
+
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging*.mk
-
-DEB_DATE := $(shell dpkg-parsechangelog -S date)
+include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 
 LIB_NAME := $(patsubst lib%,%,$(DEB_SOURCE))
-
-SOVERSION := $(shell sed -n "/^Package: lib$(LIB_NAME)\([[:digit:]]\+\)$$/{s//\1/;p;q}" debian/control)
-ifndef SOVERSION
-  $(warning Could not guess SOVERSION from debian/control)
-endif
 
 ######################
 # debhelper overrides
@@ -47,22 +53,19 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch	\
-  build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@ --with ada-library
+
+.PHONY: override_dh_autoreconf
+override_dh_autoreconf:
+ # No -f option for autoconf-dickey, force update by deleting configure.
+	rm -f configure
+	dh_autoreconf autoconf-dickey
 
 .PHONY: $(addprefix override_dh_auto_, \
   configure-arch configure-indep build-arch build-indep install clean)
 
-AUTOCONF_AUXILIARY_FILES := \
- config.guess \
- config.sub \
- configure \
- install-sh
-
-override_dh_auto_configure-arch: $(addsuffix .backup,$(AUTOCONF_AUXILIARY_FILES))
+override_dh_auto_configure-arch:
  # tests: samples/* will be installed into the -doc package, and used
  # by autopkgtest, but there is no point in compiling them now.
 	dh_auto_configure -a -- \
@@ -70,18 +73,6 @@
           --without-tests \
           --with-shared --with-ada-sharedlib=libncursesada.so.$(SOVERSION)
  # with-ada-compiler="gprbuild $(BUILDER_OPTIONS)" actually has no effect.
-# Up-to-date config.[guess|sub] are provided by autotools-dev.
-config.guess.backup config.sub.backup: %.backup:
-	mv $* $@
-	ln -s /usr/share/misc/$*
-# configure: generated by autoconf.
-configure.backup: %.backup:
-	mv $* $@
-	autoconf-dickey
-# install-sh: unused, but configure insists on seeing it.
-install-sh.backup: %.backup:
-	mv $* $@
-	touch $*
 
 override_dh_auto_clean:
 	rm -f debian/build-lib-dynamic/* \
@@ -89,9 +80,6 @@
               debian/build-lib-static/* \
               debian/build-obj-static/*
 	dh_auto_clean
-	for f in $(AUTOCONF_AUXILIARY_FILES); do \
-	  if test -f $$f.backup; then mv $$f.backup $$f; fi; \
-        done
 
 NCURSES_MODULES := form menu panel ncurses
 NCURSES_CFLAGS  := `pkg-config --cflags $(NCURSES_MODULES)`
@@ -99,21 +87,14 @@
 PROJECT := debian/$(LIB_NAME).gpr
 GPR_VARS := ADAFLAGS CFLAGS CPPFLAGS LDFLAGS NCURSES_CFLAGS LDLIBS SOVERSION
 
-# Circumvent what seems to be a bug in gen/Makefile.in.
-# ACTUAL_LDFLAGS	= @ADAGEN_LDFLAGS@
-# But ADAGEN_LDFLAGS is never defined.
-override_dh_auto_build-arch: ACTUAL_LDFLAGS := $(LDFLAGS)
-
 override_dh_auto_build-arch:
 	dh_auto_build -a -- -C include ncurses_def.h
-	dh_auto_build -a -- -C gen $(foreach v,ACTUAL_LDFLAGS LIB_NAME,"$(v)=$($(v))")
+	dh_auto_build -a -- -C gen
  # The src/ build system ignores CFLAGS when building two versions of
  # the library. We only call it to generate a needed file.
+ # TODO: the NEWS changelog seems to tell that this has been fixed.
+ # Is it possible to pass ADAFLAGS?
 	dh_auto_build -a -- -C src terminal_interface-curses-trace.adb
-
- # Ensure deterministic timestamps in ALI files.
-	find . -depth -name "*.ad[bs]" -a -newermt '$(DEB_DATE)' -print0 | \
-	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
 
 	gprbuild $(PROJECT) $(BUILDER_OPTIONS) -XKIND=static \
 	  $(foreach v,$(GPR_VARS),"-X$(v)=$($(v))")
