=== debian/watch ===
version=4

opts="\
  dversionmangle=s/^\d+\.\d+\.//,\
  pgpsigurlmangle=s/$/.asc/" \
  ftp://invisible-island.net/AdaCurses/AdaCurses-(\d{8})\.tgz

# Debian uses major.minor.date instead of only the date.
# Replace last / with /current/ to download a weekly snapshot.
