## libncursesada 6.1.20180127

=== debian/changelog ===
libncursesada (6.1.20180127-5) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop redundant branch in Vcs-Git.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 12:29:56 +0100

libncursesada (6.1.20180127-4) experimental; urgency=medium

  * Rebuild with gcc-9. Rename lib and -dev packages accordingly.
    ALI version for -dev has no reason to repeat source version.
  * Debhelper 12 does not compress examples anymore.
  * Wrap and sort Build-Depends. Split -Arch and -Indep.
  * Standards-Version: 4.4.1. Rules-Requires-Root: no.
  * Move VCS to salsa.debian.org.
  * Enable all linker warnings.
  * Only include the used dpkg Makefile snippet.
  * Drop work-around for fixed #887390.
  * Hardcode major.minor in watch file in order to fix --download-current.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Dec 2019 12:03:09 +0100

libncursesada (6.1.20180127-3) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:03 +0200

libncursesada (6.1.20180127-2) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
    Drop obsolete Break/Replace with previous -dev packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 16:08:00 +0200

libncursesada (6.1.20180127-1) unstable; urgency=medium

  * Rename packages per Ada policy, fixing previous upload.
    - ABI version for shared library.
    - ALI version for -dev. Break/Replace previous -dev per Ada policy.
  * New upstream release, only updating the build system.
  * Debhelper 11. Use level 10 for ./configure because of #887390.
  * Style: remove empty directories, replace FTP with HTTPS in watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 22:19:25 +0200

libncursesada (6.0.20170708-3) unstable; urgency=medium

  * Rebuild for libncurses6 transition.
  * Drop obsolete version restriction for dpkg-dev in Build-Dependencies.
  * Standards-Version 4.1.4.
  * Update URIs in VCS-Mtn and Homepage fields.
  * Add author from package/debian/copyright.
  * Increase verbosity of tests to ease debugging.
  * Update host name in watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 13:42:31 +0200
