=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
-# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
-  autoconf-dickey,
+Build-Depends:
+  debhelper-compat (= 12),
+Build-Depends-Arch:
+  autoconf-dickey (>= 2.52+20170501),
+  dh-sequence-ada-library,
+  gnat, gnat-9,
+# This line is parsed by debian/rules.
+  gprbuild (>= 2015-2),
+  libncurses-dev,
+  m4,
   pkg-config,
-  gnat, gnat-7,
-# This line is parsed by debian/rules.
-  dh-ada-library (>= 6.7),
-# dh-ada-library >= 6.7 stops requiring -dbg packages.
-# gprbuild compatible with gnat-6
-  gprbuild (>= 2015-2),
-  libncurses-dev, m4
-Standards-Version: 4.0.1
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libncursesada
-Vcs-Mtn: www.ada-france.org org.debian.libncursesada
-Homepage: http://invisible-island.net/ncurses
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libncursesada
+Vcs-Git: https://salsa.debian.org/debian/libncursesada.git
+Homepage: https://invisible-island.net/ncurses
 
-Package: libncursesada5-dev
+Package: libncursesada7-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
   libncurses-dev
@@ -31,7 +32,9 @@
  Install this package if you want to write programs that use
  libncursesada.
 
-Package: libncursesada5
+Package: libncursesada6.2.20180127.1
+# This line is parsed by debian/rules.
+# 6.2.* for historical reasons, 6.1 would be more consistent with upstream.
 Section: libs
 Architecture: any
 Multi-Arch: same
