=== debian/watch ===
version=4

opts="\
  uversionmangle=s/^/6.1./,\
  pgpsigurlmangle=s/$/.asc/" \
  https://invisible-mirror.net/archives/AdaCurses/AdaCurses@ANY_VERSION@@ARCHIVE_EXT@

# Beware that major and minor versions are hardcoded!

# Debian uses 'major.minor.date', while upstream tarball names only
# contain 'date'.  The solution below is not perfect, but
# * Changes of major.minor are rare.
# * New tarballs are always reported, because the 'date' part changes.
# * --download-current names the symlink correctly.

# Replace last / with /current/ to download a weekly snapshot.
# Use --watchfile=debian/watch to ignore package/debian/watch.
